import { jsx } from "react/jsx-runtime";
import { TokenNXRA as TokenNXRA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNXRA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NXRA", "data-name": "TokenNXRA", ...props, children: /* @__PURE__ */ jsx(TokenNXRA$1, { variant }) });
  }
);
TokenNXRA.displayName = "TokenNXRA";
Object.assign(TokenNXRA, { isGdsIcon: true });
export {
  TokenNXRA
};
